<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Mesh Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#3eb5c9c7643dbfdfbf4c0d53af4308ef">_compileBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#46d1f293cea6eb5adc208e4abe3256ba">_determineAnimationTypes</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f53b1f86d73503ec336f3a21b491f59b">_fireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#956ac541263d09887248b24068298691">_getAnimationImpl</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#aa46f04cb1ba0263ac8c09b0b614a75c">_getAnimationTypesDirty</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#3c6f3be3c7bd2ac96fa4c4873a95358d">_getSubMeshIndex</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#84fbf8773bc1438f26e98a244e4b88a7">_initAnimationState</a>(AnimationStateSet *animSet)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#7e248a1cca0662418d4ab3f63c2e7cf6">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4445472a7c71fafe546d8108d3b121d6">_notifySkeleton</a>(SkeletonPtr &amp;pSkel)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#71ecbba89597f5b3138a5fde91362e27">_rationaliseBoneAssignments</a>(size_t vertexCount, VertexBoneAssignmentList &amp;assignments)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#76fc7c2a7118affafbbe7278aca8d3b9">_refreshAnimationState</a>(AnimationStateSet *animSet)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#536a5cf66af30c4be1752a76083950a1">_setBoundingSphereRadius</a>(Real radius)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#8c40c34ec7c32009904c0cd730f68b5d">_setBounds</a>(const AxisAlignedBox &amp;bounds, bool pad=true)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1d7a0a704f3f6e1a32d818173e2faedb">_setLodInfo</a>(unsigned short numLevels, bool isManual)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4a2e844dd7b272277dca55f9bb9083b0">_setLodUsage</a>(unsigned short level, MeshLodUsage &amp;usage)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#5fe1977e430d15bad166dbb405ad013b">_setSubMeshLodFaceList</a>(unsigned short subIdx, unsigned short level, IndexData *facedata)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#c074f9b704766962ad9ddf8bc6f0cb29">_updateCompiledBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#05554a4e54cbb820a243f5b9f5967cc8">addBoneAssignment</a>(const VertexBoneAssignment &amp;vertBoneAssign)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#27713fbf67e85e0da2fe4c07c37bddf8">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4b0e7a62d413f362142c612cd14f94d7">AnimationList</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#87ffd99faf08ec80bd6932ac77381f3f">BoneAssignmentIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#3b18cd2008a447fe5fac98d06a541994">buildEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#dff87e74c9a6036ae6589c21cd88f3b1">buildIndexMap</a>(const VertexBoneAssignmentList &amp;boneAssignments, IndexMap &amp;boneIndexToBlendIndexMap, IndexMap &amp;blendIndexToBoneIndexMap)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#0a1bed10394f47e3940a3d4836c51f92">buildTangentVectors</a>(VertexElementSemantic targetSemantic=VES_TANGENT, unsigned short sourceTexCoordSet=0, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#8a939448efcdefc62bb442ec1475d804">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f86a189bd81f8770750443ec906eff6f">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e0e3489e56423f4643efcace44bb0172">clearBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1d859fb9a008e0681a76acd6dbbd26c0">clone</a>(const String &amp;newName, const String &amp;newGroup=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#b434a1b8a351850ed37e65e47b24e43a">compileBoneAssignments</a>(const VertexBoneAssignmentList &amp;boneAssignments, unsigned short numBlendWeightsPerVertex, IndexMap &amp;blendIndexToBoneIndexMap, VertexData *targetVertexData)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1c651712526bfe4999f27c6c18ded1d9">ConstPoseIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#81f6bd4a02c67143c939da55bd35b1bc">createAnimation</a>(const String &amp;name, Real length)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#a1c9c5ef55131e94c250fff95550abc5">createManualLodLevel</a>(Real fromDepth, const String &amp;meshName)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#72f1a2875e9c2eeeb7fc4330905fbb85">createPose</a>(ushort target, const String &amp;name=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#23d5c021503b8fac8938be4ba956f2ce">createSubMesh</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#68b214fd444eafdf672bb45bd8e9b19a">createSubMesh</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#4a423d5fcac9fce32bf1c497653cd2ac">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#eb87f5aedfc18527dc33ee2ab5e38e9c">freeEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#dc566f63a503bf0aa897ca819d6fb64c">generateLodLevels</a>(const LodDistanceList &amp;lodDistances, ProgressiveMesh::VertexReductionQuota reductionMethod, Real reductionValue)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#8d0f70b003b26b379251619f70a64177">getAnimation</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#5b857f54d25cb9a208397a91999b8cdd">getAnimation</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#c799c7cc93cb9a7f36427207767dfaa6">getAutoBuildEdgeLists</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#723cb01be5d511247cdfd379246a64a0">getBoneAssignmentIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#3e3bdb4e97891193c5854a0016b5e64c">getBoundingSphereRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#a70fab0828662a0bd40eec177ead51d4">getBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b6e377a3964d566ea112fe63bf1d7678">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#09cecda8fe19d720d8b2f6de38f66bb0">getEdgeList</a>(unsigned int lodIndex=0)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#52d7d858aeaa565131c12ec23bcba1aa">getEdgeList</a>(unsigned int lodIndex=0) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#980cb848898544602746e82ffe5afe1b">getGroup</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#efd258479b788213275bbe1b54b52f85">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#3402c383107c83903f42d165163ac9e1">getIndexBufferUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#8408ffbd3ddfaac116e8565d2163975a">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#525a8daedf0701e26349c95fe1e7176b">getLodIndex</a>(Real depth) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#45d70305d6a15767d59ba8c526622a58">getLodIndexSquaredDepth</a>(Real squaredDepth) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#659971d2a92a17be9225fe4f00ed7f29">getLodLevel</a>(ushort index) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c53229433c56a309c72da721b15d37ef">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#ba06d276d11968093b6c740544f871b1">getNumAnimations</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#2edadb0104799e1fe2b81d1d810d9e1a">getNumLodLevels</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#fe20aa1c72451105ffd82b69aac42a36">getNumSubMeshes</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#45bc7dcdc46cb3fa7c12140cc57b5611">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#135a1975880adbefbc02397081891b72">getPose</a>(ushort index)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1bdbcad27bb6dfc402bc0db8dbf0b3d2">getPose</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#76dd3ef52e65e59b69abc55030674bc2">getPoseCount</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#34437d0150cd4f97ee0080111ab5cb68">getPoseIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#5e09fcebcb9a1be0839e914e4119b4dd">getPoseIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#2a5e93ec6f5b845b032b6e73e3796129">getPoseList</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#c1b8a986092ec1854ffe8284fd5cb722">getSharedVertexDataAnimationType</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#965e3586c6755f89259d1031a14523d7">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#6e55d78539001e5fe5b1e2971fe70bea">getSkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#ceb3832f5a0e4cd74b69445d309d91cc">getSkeletonName</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#7b8ec25ff9fee99cc43ab2eceb16c882">getSubMesh</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#9a4c0f25d1d637624cc824df9abadf4d">getSubMesh</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1891dd7442acc39c7edbf6a064e61b70">getSubMeshIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#df1de56b022a41ca399588951c7bb1c2">getSubMeshNameMap</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#8e53e203cdf12cc40d746399e1f17c49">getVertexBufferUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#01c6a616fc14e149a1419dbf879cb51f">getVertexDataByTrackHandle</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4ac42d3ebe7f04790036e8fc5e7ca194">hasAnimation</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#47f0254cc34f6b8b5006242bd2354345">hasSkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e5838a829fab7e2db3e235a6053df44b">hasVertexAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#9394fdee4f4f3cc760d44fa165b088c2">IndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#da62272e0e10c5ca5f619a2cdc348594">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#b54aeef34c76386d3b42c88ba42eb69c">isEdgeListBuilt</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#f91ff1e6396fc2aa6ca42ffeda910794">isIndexBufferShadowed</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2de2f45c5e800d11b3b2d5119d53eab">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2e265ae571e26eb5e2c57a5fe17ad9c">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#f19a6a2ea5d033850fc575b2e9452d3d">isLodManual</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#784ac37435bd89e6e0e31e58e8da22bf">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#349d98f2e2668dfa630075123af7e90c">isPreparedForShadowVolumes</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#adcaa41accf6256ecf6c402e4839c0e9">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#a662df545eb8df490864316667ce1da2">isVertexBufferShadowed</a>(void) const </td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#edf85fc311b08d402ec8bcdb145fdfd1">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#04c9da26ab90708954348629cb5cbc74">loadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572ca38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572cf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#99a8bd0d2f2fe430776df7230271a521">LodDistanceList</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#9786a87341b9b5954382f956749f598a">mAABB</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#cac70b5bd5092cb00478bfc439e36c26">mAnimationsList</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#d6fda574da726cc8861408341ab65261">mAnimationTypesDirty</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e82cdb664edcbebb241153913ff4ab12">mAutoBuildEdgeLists</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#ecb0a3ad72dfe057752755a3be9a9d62">mBoneAssignments</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e36b7dbb1a019f7e74f7f7723e2f3b39">mBoneAssignmentsOutOfDate</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#fa81b36baa8be6c84ab68c8b949a28bb">mBoundRadius</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#8e05383eefb4a20985626ae26f4676af">mEdgeListsBuilt</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#0066a7e921528c059b23ec09d97b2507">Mesh</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#5895cc4a48a728812531f3cc90e40412">MeshLodUsageList</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#48305c54a01e0c7a3376ea0a077c467f">MeshSerializerImpl</a> class</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#ef9901d67ded13a151aa3d4fde3a7b17">MeshSerializerImpl_v1_1</a> class</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e60e96165c5d5495195fa0d49f031372">MeshSerializerImpl_v1_2</a> class</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#bde99137ff08e231b5ae13217b8c876e">mIndexBufferShadowBuffer</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e321765ebd25dfb980ea8fa749bb9195">mIndexBufferUsage</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#9b6f3fc61ca0d2d2672b47a16fc47fff">mIsLodManual</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#170f4e3111f1338b45bf55d2f497a4be">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#df2df0fe279913f67a2fd07a01bc5263">mMeshLodUsageList</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#57579011f3db548f4d096735298b171d">mNumLods</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#828d80c76f0e26edb7ea699d1c919818">mPoseList</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#6f094394f60ba564ffc0e15998187481">mPreparedForShadowVolumes</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#6c96921fb54638cedc2300fbe5ba50a2">mSharedVertexDataAnimationType</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#fdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1f273987d25be940aa9e4381b7984a67">mSkeleton</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#bf86b0682730527681abfe665fa63f52">mSkeletonName</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#7ca5d3840b1139163678c69accd610e8">mSubMeshList</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#5e06f63dfac01346d8a045448af28407">mSubMeshNameMap</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4d241fb1ac0e9bb6d9d510a879296fd2">mVertexBufferShadowBuffer</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#50c4b46dec40e7433a9c3bd2a0349c59">mVertexBufferUsage</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#961a5ebb441004ca098a468eb5bd0369">nameSubMesh</a>(const String &amp;name, ushort index)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#7b7b7151844176e7dfe4a19bf3c95935">organiseTangentsBuffer</a>(VertexData *vertexData, VertexElementSemantic targetSemantic, unsigned short index, unsigned short sourceTexCoordSet)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#78f32e7c485e681dce9422b69186960f">PoseIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#7f3c03905cfcdc1206be4cb5fff718f2">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#2bab941572b0c00817c50a769b63e241">prepareForShadowVolume</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#fa3410ff82dd9fddb38c2051b5ec5184">prepareMatricesForVertexBlend</a>(const Matrix4 **blendMatrices, const Matrix4 *boneMatrices, const IndexMap &amp;indexMap)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#9921da2e3e8247f469d7cac832c2dfa9">queueFireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e1c65aa0e5a0e8f283392b8b814f2e7e">removeAllAnimations</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1e048f3a9183b6b371e31f1be79e3c06">removeAllPoses</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4caff2592e1e2b223cfe9f62843c5153">removeAnimation</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#2cc39b7ae56b8137edd6c5a55519cfac">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#02d5ed61b0b9c6bc5d3426a5fa99ac90">removeLodLevels</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#8222622d55eed71d40f6dd614cc43635">removePose</a>(ushort index)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#702ffd1c825abfb5c2d643bb1e304fc2">removePose</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#c4f3cb35c7eebbe35d5734c8e3682c7d">setAutoBuildEdgeLists</a>(bool autobuild)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#126372a71844bda74011ccd5088f706c">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#59b3e51a70be90023f1adec878910e17">setIndexBufferPolicy</a>(HardwareBuffer::Usage usage, bool shadowBuffer=false)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#234be061da55bc8435401b6875770214">setSkeletonName</a>(const String &amp;skelName)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#e128dc852bd40fa4ebdeced17ef60daa">setVertexBufferPolicy</a>(HardwareBuffer::Usage usage, bool shadowBuffer=false)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#a9a6fc00032943a35fd293b5c664929e">sharedBlendIndexToBoneIndexMap</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1fd9968ccd424f913a7f3f68639f3ecf">sharedVertexData</a></td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#5c1d32451c68bd5451043d380b49db46">softwareVertexBlend</a>(const VertexData *sourceVertexData, const VertexData *targetVertexData, const Matrix4 *const *blendMatrices, size_t numMatrices, bool blendNormals)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#f6df6730f0559aa78ef6e8eaa67bbc36">softwareVertexMorph</a>(Real t, const HardwareVertexBufferSharedPtr &amp;b1, const HardwareVertexBufferSharedPtr &amp;b2, VertexData *targetVertexData)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#df9e0b0215a2b4624cb5d209ad523e12">softwareVertexPoseBlend</a>(Real weight, const std::map&lt; size_t, Vector3 &gt; &amp;vertexOffsetMap, VertexData *targetVertexData)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#1d5fbbc16bf26f6a94d018b087d4db7e">SubMesh</a> class</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#c3955099a61b444cb9a2e7e111a1f271">SubMeshIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#adf4f5fb8b74f46ca0fe5dfb530a5f64">SubMeshList</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#001584a126b2a78e15a2b3b9e9ee8433">SubMeshNameMap</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#6984c7229db58040770269710f5b2ac1">suggestTangentVectorBuildParams</a>(VertexElementSemantic targetSemantic, unsigned short &amp;outSourceCoordSet, unsigned short &amp;outIndex)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#e229b1f58092109adef55bfc6f864d79">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#87fd02b9874c2734ade10f23cb141587">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#d2a825a0fc90a2c1168d35f074cf077d">updateManualLodLevel</a>(ushort index, const String &amp;meshName)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#9eb681a705ada6268c567c553f897dbb">updateMaterialForAllSubMeshes</a>(void)</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#ed02a800a3f1fc668dd5da422a219ef8">VertexBoneAssignmentList</a> typedef</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Mesh.html#4a5698435bfde9edd3f83db1b7fe6101">~Mesh</a>()</td><td><a class="el" href="classOgre_1_1Mesh.html">Ogre::Mesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:38 2008
</p>
</body>
</html>
